org.eclipse.incquery.runtime.matchers.psystem.basicdeferred

## Class ExportedParameter

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint
  - - org.eclipse.incquery.runtime.matchers.psystem.DeferredPConstraint
    - - org.eclipse.incquery.runtime.matchers.psystem.VariableDeferredPConstraint
      - - org.eclipse.incquery.runtime.matchers.psystem.basicdeferred.ExportedParameter

- All Implemented Interfaces:
    PConstraint

      public class ExportedParameter
      extends VariableDeferredPConstraint

  Author:
    Gabor Bergmann

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.runtime.matchers.psystem.PConstraint

      `PConstraint.CompareByMonotonousID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportedParameter(PBody pBody, PVariable parameterVariable, java.lang.String parameterName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkSanity()`
    `void` | `doReplaceVariable(PVariable obsolete, PVariable replacement)`
    `java.util.Set<PVariable>` | `getDeducedVariables()` The set of variables whose potential values can be enumerated (once all non-deduced variables have known values).
    `java.util.Set<PVariable>` | `getDeferringVariables()`
    `java.lang.String` | `getParameterName()`
    `PVariable` | `getParameterVariable()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.VariableDeferredPConstraint

      `isReadyAt`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint

      `delete, getAffectedVariables, getFunctionalDependencies, getMonotonousID, getPSystem, replaceVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExportedParameter

          public ExportedParameter(PBody pBody,
                                   PVariable parameterVariable,
                                   java.lang.String parameterName)

  - ### Method Detail

    - #### doReplaceVariable

          public void doReplaceVariable(PVariable obsolete,
                                        PVariable replacement)

    - #### getDeducedVariables

          public java.util.Set<PVariable> getDeducedVariables()

      Description copied from interface: `PConstraint`
      The set of variables whose potential values can be enumerated (once all non-deduced variables have known values).

    - #### getParameterName

          public java.lang.String getParameterName()

    - #### getParameterVariable

          public PVariable getParameterVariable()

    - #### getDeferringVariables

          public java.util.Set<PVariable> getDeferringVariables()

      Specified by:
        `getDeferringVariables` in class `VariableDeferredPConstraint`

    - #### checkSanity

          public void checkSanity()
                           throws QueryProcessingException

      Specified by:
        `checkSanity` in interface `PConstraint`
      Overrides:
        `checkSanity` in class `BasePConstraint`
      Throws:
        `QueryProcessingException`